Bug 918012 - org.infinispan.manager.ConcurrentCacheManagerTest hangs very often with NullPointerException
Summary: org.infinispan.manager.ConcurrentCacheManagerTest hangs very often with NullP...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-05 10:02 UTC by Anna Manukyan
Modified: 2013-03-06 11:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-06 11:27:11 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-2796 Critical Resolved ConcurrentCacheManagerTest.testConcurrentGetCacheCalls hangs the test suite (randomly) 2014-04-30 15:32:28 UTC
Red Hat Issue Tracker ISPN-2887 Major Closed org.infinispan.manager.ConcurrentCacheManagerTest hangs very often with NullPointerException 2014-04-30 15:32:28 UTC

Description Anna Manukyan 2013-03-05 10:02:24 UTC
While running Infinispan Testsuite, the ConcurrentCacheManagerTest test is hanging with the following exception which leads the job hanged state (the hang appears very often and all on environments):

2013-03-04 13:30:42,185 ERROR [ConcurrentCacheManagerTest] (pool-4224-thread-3) Got
java.lang.NullPointerException
	at org.infinispan.factories.MarshallerFactory.construct(MarshallerFactory.java:48)
	at org.infinispan.factories.AbstractComponentRegistry.getOrCreateComponent(AbstractComponentRegistry.java:290)
	at org.infinispan.factories.ComponentRegistry.getOrCreateComponent(ComponentRegistry.java:161)
	at org.infinispan.factories.AbstractComponentRegistry.invokeInjectionMethod(AbstractComponentRegistry.java:246)
	at org.infinispan.factories.AbstractComponentRegistry.access$000(AbstractComponentRegistry.java:86)
	at org.infinispan.factories.AbstractComponentRegistry$Component.injectDependencies(AbstractComponentRegistry.java:811)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponentInternal(AbstractComponentRegistry.java:220)
	at org.infinispan.factories.ComponentRegistry.registerComponentInternal(ComponentRegistry.java:170)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponent(AbstractComponentRegistry.java:175)
	at org.infinispan.factories.AbstractComponentRegistry.getOrCreateComponent(AbstractComponentRegistry.java:295)
	at org.infinispan.factories.ComponentRegistry.getOrCreateComponent(ComponentRegistry.java:161)
	at org.infinispan.factories.AbstractComponentRegistry.invokeInjectionMethod(AbstractComponentRegistry.java:246)
	at org.infinispan.factories.AbstractComponentRegistry.access$000(AbstractComponentRegistry.java:86)
	at org.infinispan.factories.AbstractComponentRegistry$Component.injectDependencies(AbstractComponentRegistry.java:811)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponentInternal(AbstractComponentRegistry.java:220)
	at org.infinispan.factories.ComponentRegistry.registerComponentInternal(ComponentRegistry.java:170)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponent(AbstractComponentRegistry.java:175)
	at org.infinispan.factories.AbstractComponentRegistry.getOrCreateComponent(AbstractComponentRegistry.java:295)
	at org.infinispan.factories.ComponentRegistry.getOrCreateComponent(ComponentRegistry.java:161)
	at org.infinispan.factories.AbstractComponentRegistry.invokeInjectionMethod(AbstractComponentRegistry.java:246)
	at org.infinispan.factories.AbstractComponentRegistry.access$000(AbstractComponentRegistry.java:86)
	at org.infinispan.factories.AbstractComponentRegistry$Component.injectDependencies(AbstractComponentRegistry.java:811)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponentInternal(AbstractComponentRegistry.java:220)
	at org.infinispan.factories.ComponentRegistry.registerComponentInternal(ComponentRegistry.java:170)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponent(AbstractComponentRegistry.java:175)
	at org.infinispan.factories.AbstractComponentRegistry.getOrCreateComponent(AbstractComponentRegistry.java:295)
	at org.infinispan.factories.ComponentRegistry.getOrCreateComponent(ComponentRegistry.java:161)
	at org.infinispan.factories.AbstractComponentRegistry.invokeInjectionMethod(AbstractComponentRegistry.java:246)
	at org.infinispan.factories.AbstractComponentRegistry.access$000(AbstractComponentRegistry.java:86)
	at org.infinispan.factories.AbstractComponentRegistry$Component.injectDependencies(AbstractComponentRegistry.java:811)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponentInternal(AbstractComponentRegistry.java:220)
	at org.infinispan.factories.ComponentRegistry.registerComponentInternal(ComponentRegistry.java:170)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponent(AbstractComponentRegistry.java:175)
	at org.infinispan.factories.AbstractComponentRegistry.getOrCreateComponent(AbstractComponentRegistry.java:295)
	at org.infinispan.factories.ComponentRegistry.getOrCreateComponent(ComponentRegistry.java:161)
	at org.infinispan.factories.AbstractComponentRegistry.invokeInjectionMethod(AbstractComponentRegistry.java:246)
	at org.infinispan.factories.AbstractComponentRegistry.access$000(AbstractComponentRegistry.java:86)
	at org.infinispan.factories.AbstractComponentRegistry$Component.injectDependencies(AbstractComponentRegistry.java:811)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponentInternal(AbstractComponentRegistry.java:220)
	at org.infinispan.factories.ComponentRegistry.registerComponentInternal(ComponentRegistry.java:170)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponent(AbstractComponentRegistry.java:175)
	at org.infinispan.factories.AbstractComponentRegistry.getOrCreateComponent(AbstractComponentRegistry.java:295)
	at org.infinispan.factories.ComponentRegistry.getOrCreateComponent(ComponentRegistry.java:161)
	at org.infinispan.factories.AbstractComponentRegistry.invokeInjectionMethod(AbstractComponentRegistry.java:246)
	at org.infinispan.factories.AbstractComponentRegistry.access$000(AbstractComponentRegistry.java:86)
	at org.infinispan.factories.AbstractComponentRegistry$Component.injectDependencies(AbstractComponentRegistry.java:811)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponentInternal(AbstractComponentRegistry.java:220)
	at org.infinispan.factories.ComponentRegistry.registerComponentInternal(ComponentRegistry.java:170)
	at org.infinispan.factories.AbstractComponentRegistry.registerComponent(AbstractComponentRegistry.java:175)
	at org.infinispan.factories.InternalCacheFactory.bootstrap(InternalCacheFactory.java:101)
	at org.infinispan.factories.InternalCacheFactory.createAndWire(InternalCacheFactory.java:80)
	at org.infinispan.factories.InternalCacheFactory.createCache(InternalCacheFactory.java:64)
	at org.infinispan.manager.DefaultCacheManager.wireAndStartCache(DefaultCacheManager.java:681)
	at org.infinispan.manager.DefaultCacheManager.createCache(DefaultCacheManager.java:649)
	at org.infinispan.manager.DefaultCacheManager.getCache(DefaultCacheManager.java:545)
	at org.infinispan.manager.ConcurrentCacheManagerTest$1.call(ConcurrentCacheManagerTest.java:80)
	at org.infinispan.manager.ConcurrentCacheManagerTest$1.call(ConcurrentCacheManagerTest.java:75)
	at java.util.concurrent.FutureTask$Sync.innerRun(FutureTask.java:345)
	at java.util.concurrent.FutureTask.run(FutureTask.java:177)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1121)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:614)
	at java.lang.Thread.run(Thread.java:780)

Comment 1 JBoss JIRA Server 2013-03-06 11:23:52 UTC
Martin Gencur <mgencur@redhat.com> updated the status of jira ISPN-2887 to Closed

Comment 2 JBoss JIRA Server 2013-03-06 11:23:52 UTC
Martin Gencur <mgencur@redhat.com> made a comment on jira ISPN-2887

Duplicates ISPN-2796

Comment 3 Martin Gencur 2013-03-06 11:27:11 UTC
Related to https://issues.jboss.org/browse/ISPN-2796 which was already fixed and integrated.


Note You need to log in before you can comment on or make changes to this bug.